/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-01-25 13:34:56
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-01-25 14:00:57
 * @FilePath: \general-ai-platform-web\mock\modelCategory.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**模型类别模块 mock */

import {
  mockGetModelCategoryFkSelectData,
  mockGetModelCategoryListData,
} from './pools/modelCategoryData';
import { successMockApiProps } from './typing';
import { fetchMockSuccessFullByOther } from './utils/apiMock';
export default {
  // 模型类别列表
  'POST /api/v1/model_category/getModelCategoryList': async (req: Request, res: Response) => {
    const resData: successMockApiProps = {
      ...fetchMockSuccessFullByOther(mockGetModelCategoryListData),
    };
    res.send(resData);
  },

  // 模型类别列表
  'POST /api/v1/model_category/getModelCategoryFkSelect': async (req: Request, res: Response) => {
    const resData: successMockApiProps = {
      ...fetchMockSuccessFullByOther(mockGetModelCategoryFkSelectData),
    };
    res.send(resData);
  },
};
