/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-01-24 16:59:35
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-01-25 13:24:41
 * @FilePath: \general-ai-platform-web\mock\pools\modelVersionData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**模型版本 */

// 模型版本列表
export const mockGetModelVersionListData = {
  data: {
    list: [
      {
        id: 240,
        createTime: '2023-11-10T16:05:24.289341+08:00',
        updateTime: '2023-11-10T16:05:24.289341+08:00',
        modelFkId: 4,
        version: '',
        path: '测试',
        modelConfig: {
          params: [
            {
              name: 'frame11',
              default: 10,
            },
            {
              name: 'name11',
              default: 'test',
            },
            {
              name: 'cews',
              default: '111',
            },
          ],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 25,
        createTime: '2023-11-10T16:05:53.393208+08:00',
        updateTime: '2023-11-13T11:07:27.657412+08:00',
        modelFkId: 6,
        version: 'V1.22',
        path: '////',
        modelConfig: {
          params: [
            {
              name: 'frame',
              default: 10,
            },
            {
              name: 'name',
              default: 'test',
            },
          ],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 26,
        createTime: '2023-12-26T16:58:53.617618+08:00',
        updateTime: '2023-12-26T16:58:53.617618+08:00',
        modelFkId: 1,
        version: 'v1',
        path: 'uploads/file/models/1703581116930/cddfa9c25b2c3c20ce703209385ea557_20231226165845.zip',
        modelConfig: {
          params: [
            {
              name: 'model',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              default: './tensort_cache/yolov5_phone.trt',
            },
            {
              name: 'model_parameter',
              default: {
                device: 'gpu',
                confidence: 0.2,
                label_names: ['Keypad', 'hands', 'keyboard', 'mouse', 'phone'],
                object_num_min: false,
                relevancy_para: 0.001,
                compara_relevancy: 'overlap',
                compara_label_names: ['hands', 'phone'],
              },
            },
            {
              name: 'save_path',
              default: false,
            },
            {
              name: 'test_path',
              default: false,
            },
            {
              name: 'save_path_original',
              default: false,
            },
            {
              name: 'save_annotations',
              default: false,
            },
            {
              name: 'save_videos',
              default: './video_save_path/hands',
            },
            {
              name: 'detect_time',
              default: 300,
            },
            {
              name: 'detect_time_small',
              default: 20,
            },
            {
              name: 'detect_ratio',
              default: 0.5,
            },
            {
              name: 'test',
              default: [
                {
                  eee: 'eee',
                },
                {
                  bbb: 'bbb',
                },
              ],
            },
          ],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 27,
        createTime: '2023-12-26T17:19:45.436658+08:00',
        updateTime: '2023-12-26T17:19:45.436658+08:00',
        modelFkId: 9,
        version: 'V1',
        path: 'uploads/file/models/1703582356909/cddfa9c25b2c3c20ce703209385ea557_20231226171938.zip',
        modelConfig: {
          params: [
            {
              name: 'model',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              default: './tensort_cache/yolov5_phone.trt',
            },
            {
              name: 'model_parameter',
              default: {
                device: 'gpu',
                confidence: 0.2,
                label_names: ['Keypad', 'hands', 'keyboard', 'mouse', 'phone'],
                object_num_min: false,
                relevancy_para: 0.001,
                compara_relevancy: 'overlap',
                compara_label_names: ['hands', 'phone'],
              },
            },
            {
              name: 'save_path',
              default: false,
            },
            {
              name: 'test_path',
              default: false,
            },
            {
              name: 'save_path_original',
              default: false,
            },
            {
              name: 'save_annotations',
              default: false,
            },
            {
              name: 'save_videos',
              default: './video_save_path/hands',
            },
            {
              name: 'detect_time',
              default: 300,
            },
            {
              name: 'detect_time_small',
              default: 20,
            },
            {
              name: 'detect_ratio',
              default: 0.5,
            },
            {
              name: 'test',
              default: [
                {
                  eee: 'eee',
                },
                {
                  bbb: 'bbb',
                },
              ],
            },
          ],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 1,
        createTime: '2023-10-21T11:16:46.244747+08:00',
        updateTime: '2023-10-23T09:23:38.477132+08:00',
        modelFkId: 5,
        version: 'V1.0',
        path: '/path/a.onnx',
        modelConfig: null,
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 2,
        createTime: '2023-10-21T11:17:11.704304+08:00',
        updateTime: '2023-10-23T09:23:55.998654+08:00',
        modelFkId: 5,
        version: 'V1.2',
        path: '/path/b.onnx',
        modelConfig: null,
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 3,
        createTime: '2023-10-21T11:17:49.609481+08:00',
        updateTime: '2023-10-23T09:24:14.832605+08:00',
        modelFkId: 5,
        version: 'V1.1',
        path: 'aa',
        modelConfig: null,
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 4,
        createTime: '2023-10-21T11:18:01.331091+08:00',
        updateTime: '2023-10-23T09:24:43.671437+08:00',
        modelFkId: 6,
        version: 'V1.0',
        path: 'aaa',
        modelConfig: {
          params: [
            {
              name: 'model',
              remark: '1',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              remark: '2',
              default: './tensort_cache/yolov5_phone.trt',
            },
          ],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 5,
        createTime: '2023-10-24T15:03:46.104742+08:00',
        updateTime: '2023-10-25T17:39:18.952711+08:00',
        modelFkId: 5,
        version: 'V11',
        path: '../config_phone.yaml',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 7,
        createTime: '2023-10-25T13:58:04.622319+08:00',
        updateTime: '2023-10-25T17:39:37.221289+08:00',
        modelFkId: 7,
        version: 'V1.0',
        path: '../config_sleep.yaml',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 8,
        createTime: '2023-10-25T13:59:04.80433+08:00',
        updateTime: '2023-10-25T17:39:53.069411+08:00',
        modelFkId: 8,
        version: 'V1.0',
        path: '../config_person.yaml',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 11,
        createTime: '2023-11-03T16:44:15.776907+08:00',
        updateTime: '2023-11-03T16:44:15.776907+08:00',
        modelFkId: 3,
        version: '',
        path: 'aa',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 12,
        createTime: '2023-11-03T16:45:39.870898+08:00',
        updateTime: '2023-11-03T16:45:39.870898+08:00',
        modelFkId: 3,
        version: '',
        path: 'aa',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 13,
        createTime: '2023-11-03T16:46:36.363785+08:00',
        updateTime: '2023-11-03T16:46:36.363785+08:00',
        modelFkId: 2,
        version: '',
        path: 'aa',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 14,
        createTime: '2023-11-03T16:47:24.709797+08:00',
        updateTime: '2023-11-03T16:47:24.709797+08:00',
        modelFkId: 3,
        version: '',
        path: 'ss',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 15,
        createTime: '2023-11-03T16:48:31.95034+08:00',
        updateTime: '2023-11-03T16:48:31.95034+08:00',
        modelFkId: 3,
        version: '',
        path: '111',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 16,
        createTime: '2023-11-03T16:49:41.864377+08:00',
        updateTime: '2023-11-03T16:49:41.864377+08:00',
        modelFkId: 2,
        version: '',
        path: 'aaaa',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 17,
        createTime: '2023-11-03T16:51:14.719832+08:00',
        updateTime: '2023-11-03T16:51:14.719832+08:00',
        modelFkId: 2,
        version: '',
        path: 'sss',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 18,
        createTime: '2023-11-03T16:54:33.550247+08:00',
        updateTime: '2023-11-03T16:54:33.550247+08:00',
        modelFkId: 2,
        version: '',
        path: 'sss',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 19,
        createTime: '2023-11-03T16:56:04.760163+08:00',
        updateTime: '2023-11-03T16:56:04.760163+08:00',
        modelFkId: 3,
        version: '',
        path: 'sss',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 20,
        createTime: '2023-11-03T16:56:56.39397+08:00',
        updateTime: '2023-11-03T16:56:56.39397+08:00',
        modelFkId: 3,
        version: '',
        path: 'ddd',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 21,
        createTime: '2023-11-03T16:57:43.040174+08:00',
        updateTime: '2023-11-03T16:57:43.040174+08:00',
        modelFkId: 2,
        version: '',
        path: 'aaa',
        modelConfig: {
          params: [],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 22,
        createTime: '2023-11-03T16:59:59.243265+08:00',
        updateTime: '2023-11-03T16:59:59.243265+08:00',
        modelFkId: 1,
        version: '',
        path: 'aaa',
        modelConfig: {
          params: [
            {
              name: 'model',
              remark: '1',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              remark: '2',
              default: './tensort_cache/yolov5_phone.trt',
            },
          ],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
      {
        id: 23,
        createTime: '2023-11-09T09:43:51.549764+08:00',
        updateTime: '2023-11-09T09:43:51.549764+08:00',
        modelFkId: 8,
        version: 'V1.1',
        path: 'fff',
        modelConfig: {
          params: [
            {
              name: 'model',
              default: './model_file/yolov5_phone.onnx',
            },
            {
              name: 'model_cache',
              default: './tensort_cache/yolov5_phone.trt',
            },
            {
              name: 'save_path',
              default: false,
            },
            {
              name: 'test_path',
              default: false,
            },
            {
              name: 'save_path_original',
              default: false,
            },
            {
              name: 'save_annotations',
              default: false,
            },
            {
              name: 'save_videos',
              default: './video_save_path/hands',
            },
            {
              name: 'detect_time',
              default: 300,
            },
            {
              name: 'detect_time_small',
              default: 20,
            },
            {
              name: 'detect_ratio',
              default: 0.5,
            },
          ],
        },
        startCode: '',
        status: 1,
        isEnable: true,
        remark: '',
      },
    ],
    total: 24,
    page: 1,
    pageSize: 10,
  },
};

// 模型版本-选择
export const mockGetModelVersionFkSelect = {
  data: {
    list: [
      {
        name: 'V1.0001',
        id: 1,
      },
      {
        name: 'V1.2',
        id: 2,
      },
      {
        name: 'V1.1',
        id: 3,
      },
      {
        name: 'v1',
        id: 26,
      },
      {
        name: 'V1',
        id: 27,
      },
      {
        name: 'V11',
        id: 5,
      },
      {
        name: 'V1.0',
        id: 7,
      },
      {
        name: 'V1.0',
        id: 8,
      },
      {
        name: '',
        id: 11,
      },
      {
        name: '',
        id: 12,
      },
    ],
  }
};
